%{?nodejs_find_provides_and_requires}

%global packagename concat-map
%global enable_tests 0
# tests disabled to to reliance on ancient version of 'tape'

Name:		nodejs-concat-map
Version:	0.0.1
Release:	1%{?dist}
Summary:	Concatenative Mapdashery

License:	MIT
URL:		https://github.com/substack/node-concat-map
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

Requires:	nodejs

%description
concatenative mapdashery


%prep
%setup -q -n package
# setup the tests
#%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.markdown example/
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.0.1-1
- Initial packaging
